Bug 432728 - Fedora-Build of firefox incompatible with some extensions
Fedora-Build of firefox incompatible with some extensions
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: firefox (Show other bugs)
8
All Linux
low Severity low
: ---
: ---
Assigned To: Gecko Maintainer
Fedora Extras Quality Assurance
pleaForReproductionFF3
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-02-13 20:33 EST by Reindl Harald
Modified: 2008-08-02 19:40 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-02-22 05:51:29 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Reindl Harald 2008-02-13 20:33:24 EST
Hi

Can anybody take a look if is possible to build the fedora-package in a way all
extensions will work - as example the opensuse-version has no troubles but i
love fedora and will go back from tarballs to yum-updates

http://users.skynet.be/mgueury/mozilla/download.html
http://users.skynet.be/mgueury/mozilla/faq.html
second link describes the reason, i think if original build from mozilla works
the one from distribution should too

Colorzilla does also not work fully with the feodra build, maybe the same reason
http://users.skynet.be/mgueury/mozilla/faq.html

I'm webdeveloper and without the html-validator my work not acceptable because
im using this extension since years, long ago before switching to linux completly
Comment 1 Matěj Cepl 2008-02-21 17:36:10 EST
At this point, we're going to only be taking security fixes and major stability
fixes into this release of Fedora.  However, we still want to ensure the bug is
fixed in the next version.  We'd appreciate if you could test Firefox 3,
available at http://www.mozilla.com/en-US/firefox/all-beta.html or now shipping
as the default in Fedora rawhide and provide feedback as to whether it still
exists so we can file a ticket upstream to try to fix it in Firefox 3 before it
is released.
Comment 2 Matěj Cepl 2008-02-21 17:37:07 EST
At this point, we're going to only be taking security fixes and major stability
fixes into this release of Fedora.  However, we still want to ensure the bug is
fixed in the next version.  We'd appreciate if you could test Firefox 3,
available at http://www.mozilla.com/en-US/firefox/all-beta.html or now shipping
as the default in Fedora rawhide and provide feedback as to whether it still
exists so we can file a ticket upstream to try to fix it in Firefox 3 before it
is released.
Comment 3 Reindl Harald 2008-02-21 19:13:18 EST
You missunderstood me
A package from mozilla.org makes no sense, same with an upstream-ticket to mozilla
The problem is the way ff in fedora is built

If you try FF from mozilla.org ist will work without any troubles
This problem exists since FF 1.x and Fedora 5
The developer of the htmlvalidator-extension has a small description online

The really problem is that a extension what works with mozilla.org-builds is
simply ok and if it makes troubles on any "special-ff-build" the problem is there

At this time i can't test the extension with the rawhide-ff3-build because it
will not install on a newer build as firefox 3.0b2, anyways it woul be fine if
the ff-maintainers from fedora-project will contact the extension developer to
find a solution together.

> Cause: When installing the extension, you are using a C library that I 
> compiled with a older LIBC++ version than the one distributed with Fedora Core
> 4. Unhapilly both are incompatible. Another symptom is that if you download 
> the real Firefox compiled in the same way from the Mozilla.org website, it 
> gives this error.

http://users.skynet.be/mgueury/mozilla/download.html
On top of the there is a contact-link
http://users.skynet.be/mgueury/mozilla/faq.html



Comment 4 Matěj Cepl 2008-02-22 05:51:29 EST
Sorry, the above messages were generated automatically in my attempt to clean up
Firefox bugs a little bit.

So, to this bug. Author of the above page very clearly explains what is needed
to make his extension work with our Firefox. The problem is that both upstream
Firefox and the author of this extension use very old version of the libstdc++
library (support for programs written in C++). Unfortunately, I don’t see it
possible that we would install per default these compat* libraries for all
Fedoras just because some Firefox extensions doesn't work. If you think this
extension is really important (and true, it looks pretty cool ;-)) then probably
the easiest way is to ask on
http://fedoraproject.org/wiki/PackageMaintainers/WishList for packaging of the
extension as a Fedora package (then of course there will be no problems with
incompatible libraries, because it will be compiled with the Fedora native
libstdc++), or of course you can package it yourself
(http://fedoraproject.org/wiki/PackageMaintainers/NewPackageProcess).

Closing as WONTFIX.
Comment 5 Matěj Cepl 2008-02-22 05:54:31 EST
Sorry, the second link should be
http://fedoraproject.org/wiki/PackageMaintainers/Join

Note You need to log in before you can comment on or make changes to this bug.